Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.management
Interface ClassLoadingMXBean

    public interface ClassLoadingMXBean

The management interface for the class loading system of the Java virtual machine.

A Java virtual machine has a single instance of the implementation class of this interface. This instance implementing this interface is an MXBean that can be obtained by calling the `ManagementFactory.getClassLoadingMXBean()` method or from the `platform `MBeanServer`` method.

The `ObjectName` for uniquely identifying the MXBean for the class loading system within an `MBeanServer` is:

> ``java.lang:type=ClassLoading``

Since:
  1.5
See Also:
  JMX Specification., Ways to Access MXBeans

Method Summary
`int` | `getLoadedClassCount()` Returns the number of classes that are currently loaded in the Java virtual machine.
`long` | `getTotalLoadedClassCount()` Returns the total number of classes that have been loaded since the Java virtual machine has started execution.
`long` | `getUnloadedClassCount()` Returns the total number of classes unloaded since the Java virtual machine has started execution.
`boolean` | `isVerbose()` Tests if the verbose output for the class loading system is enabled.
`void` | `setVerbose(boolean value)` Enables or disables the verbose output for the class loading system.

Method Detail

### getTotalLoadedClassCount

    long getTotalLoadedClassCount()

  Returns the total number of classes that have been loaded since the Java virtual machine has started execution.

  Returns:
    the total number of classes loaded.

### getLoadedClassCount

    int getLoadedClassCount()

  Returns the number of classes that are currently loaded in the Java virtual machine.

  Returns:
    the number of currently loaded classes.

### getUnloadedClassCount

    long getUnloadedClassCount()

  Returns the total number of classes unloaded since the Java virtual machine has started execution.

  Returns:
    the total number of unloaded classes.

### isVerbose

    boolean isVerbose()

  Tests if the verbose output for the class loading system is enabled.

  Returns:
    `true` if the verbose output for the class loading system is enabled; `false` otherwise.

### setVerbose

    void setVerbose(boolean value)

  Enables or disables the verbose output for the class loading system. The verbose output information and the output stream to which the verbose information is emitted are implementation dependent. Typically, a Java virtual machine implementation prints a message each time a class file is loaded.

  This method can be called by multiple threads concurrently. Each invocation of this method enables or disables the verbose output globally.

  Parameters:
    `value` - `true` to enable the verbose output; `false` to disable.
  Throws:
    `SecurityException` - if a security manager exists and the caller does not have ManagementPermission("control").

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.